new;
library edf,pgraph;

S0 = 3.5;
K = 3.495|3.5;
sigma = 0.09|0.16;
r = 0.08;
rstar = 0.06;
tau = 60/365;

PrimeGK = callGK(S0,K,sigma,tau,r,rstar);

N = 100;
PrimeCRR = miss(zeros(2,N),0);

i = 3; 
do until i > N;
  {PrimeCRR[.,i],P} = optionCRR(S0,K,sigma,tau,r,rstar,i);
  i = i + 1;
endo;

titre = "Convergence de la prime CRR vers la prime GK";

graphset;
  _pdate = ""; _pnum = 2; _plwidth = 0|10;
  title(titre$+"\Lpremiere option");
  graphprt("-c=1 -cf=crr1.eps");
  xy(seqa(1,1,N),PrimeCRR[1,.]'~PrimeGK[1]*ones(N,1));

