new;
library edf;

S0 = 3.5;
K = 3.49;
sigma = 0.09;
r = 0.08;
rstar = 0.06;
tau = 60/365;
N = 3;

rndseed 123;
Ns = 10000;

{C,P} = optionCRR(S0,K,sigma,tau,r,rstar,N);
{Cas,Pas} = FixedStrikeOption(S0,K,sigma,tau,r,rstar,N);
{Prime,Prime1,Prime2} = mcCRR2(S0,K,sigma,tau,Sigma,r,rstar,N,Ns);

output file = mc_crr3.out reset;

print ftos(C,"Valeur de l'option d'achat europeenne :  %lf",6,5);
print ftos(Prime[1],"Valeur simulee :                         %lf",6,5);
print ftos(P,"Valeur de l'option de vente europeenne : %lf",6,5);
print ftos(Prime[2],"Valeur simulee :                         %lf",6,5);
print ftos(Cas,"Valeur de l'option d'achat asiatique :   %lf",6,5);
print ftos(Prime[3],"Valeur simulee :                         %lf",6,5);
print ftos(Pas,"Valeur de l'option de vente asiatique :  %lf",6,5);
print ftos(Prime[4],"Valeur simulee :                         %lf",6,5);

output off;