new;
library pgraph;

#include rndmn.src;

rndseed 123;

let MU = 1 2 3;
let SIGMA[3,3] =  4  2 -1
                  2  6  2
                 -1  2  3;
Portefeuille = 1|3|-1;

Nobs = 250;

u = rndmn(mu,sigma,Nobs);

Vsimul = u*Portefeuille;

pqgwin many;


graphset;
  _pdate = ""; _pnum = 2;
  _plctrl = -1; _pstype = 8;
  graphprt("-c=1 -cf=var2a.eps");
  xy(seqa(1,1,Nobs),Vsimul);

graphset;
  _pdate = ""; _pnum = 2;
  graphprt("-c=1 -cf=var2b.eps");
  call hist(Vsimul,10);

graphset;
  _pdate = ""; _pnum = 2;
  _pboxctl = 0.5 |
             0 |
             1 ;
  graphprt("-c=1 -cf=var2c.eps");
  box(0,Vsimul);


