new;

output file = rndmn.out reset;

let MU = 1 2 3;
let SIGMA[3,3] =  4  2 -1
                  2  6  2
                 -1  2  3;

Ns = 10000;
N = rows(mu);

/* simulation des nombres aleatoires N(0,I) */

epsilon = rndn(N,Ns);


/* Decomposition de Cholesky */

P = chol(SIGMA);
y = mu' + epsilon'P;
print vcx(y);


/* Decomposition vecteurs propres */

{va,ve} = eighv(SIGMA);
DELTA = diagrv(eye(N),va);
Q = sqrt(DELTA)*ve';
y = mu' + epsilon'Q;
print vcx(y);


/* Decomposition valeurs singulieres */

{U,S,V} = svdusv(SIGMA);
Q = sqrt(S)*V';
y = mu' + epsilon'Q;
print vcx(y);

output off;