new;

S0 = 3.5;
K = 3.48|3.49|3.5|3.51|3.52;
tau = 60/365~30/365;
r = 0.08;
rstar = 0.06;
sigma = 0.09;

w = sigma.*sqrt(tau);
d1 = ( ln(S0./K) + (r-rstar).*tau )./w + 0.5*w;
d2 = d1 - w;

C = exp(-rstar.*tau).*S0.*cdfn(d1) - k.*exp(-r.*tau).*cdfn(d2);

output file = gk3.out reset;

print C;

output off;



