new;
library edf,tsm,optmum,pgraph;

S0 = 3.5;
K = 3.49;
sigma = 0.09;
r = 0.08;
rstar = 0.06;
tau = 60/365;
N = 3;

rndseed 123;
Ns = 100;

Nr = 250;

mc = zeros(Nr,2);

i = 1;
do until i > Nr;
  {Prime,Prime1,Prime2} = mcCRR2(S0,K,sigma,tau,Sigma,r,rstar,N,Ns);
   mc[i,1] = Prime[1];
   mc[i,2] = Prime1[1];
   i = i + 1;
endo;

_Kernel[1] = 0.04; _Kernel[2] = 0.10;
{x1,d1,F1,retcode} = Kernel(mc[.,1]);
{x2,d2,F2,retcode} = Kernel(mc[.,2]);

graphset;
  _pnum = 2; _pdate = "";
  title("Fonction de densite de l'estimateur");
  _plegstr = "MC\000MC avec accelerateur";
  _plegctl = 1;
  graphprt("-c=1 -cf=mc_crr4.eps");
  xy(x1~x2,d1~d2);