new;
library pgraph;

rndseed 123;

Ns = 2000;
n = seqa(1,1,Ns);

u = rndn(Ns,1);
chi2 = u^2;

xbar = cumsumc(chi2)./n;

graphset;
  _pnum = 2; _pdate = "";
  title("Illustration du theoreme central limite");
  xlabel("Nombre de simulations");
  ylabel("Moyenne");
  _pline = 1~1~0~1~Ns~1~1~5~10;
  ytics(0.8,1.2,0.1,10);
  graphprt("-c=1 -cf=tcl1.eps");
  xy(n,xbar);