new;
library tsm,optmum,pgraph;

#include rndmn.src;

rndseed 123;

let MU = 1 2 3;
let SIGMA[3,3] =  4  2 -1
                  2  6  2
                 -1  2  3;
Portefeuille = 1|3|-1;

Nobs = 250;

u = rndmn(mu,sigma,Nobs);

Vsimul = u*Portefeuille;

{absc,dens,repart,retcode} = Kernel(Vsimul);

graphset;
  _pdate = ""; _pnum = 2;
  title("Fonction de repartition de la valeur du portefeuille");
  graphprt("-c=1 -cf=var3.eps");
  xy(absc,repart);

