new;
library tsm,optmum,pgraph;

#include rndmn.src;

rndseed 123;

let MU = 1 2 3;
let SIGMA[3,3] =  4  2 -1
                  2  6  2
                 -1  2  3;
Portefeuille = 1|3|-1;

Moy = Portefeuille'MU;
var = Portefeuille'SIGMA*Portefeuille;
e = {0.01, 0.025, 0.05, 0.5, 0.95, 0.975, 0.99};
alpha = cdfni(e);
q = Moy + alpha*sqrt(var); 

output file = var5.out reset;

nom = "1%" | "2.5%" | "5%" | "Mediane" | "95%" | "97.5%" | "99%";

print; print;
print "Quantiles theoriques";
print "--------------------";
call printfmt(nom~q,0~1);

output off;